javax.jdo

## Enum ObjectState

- java.lang.Object
- - java.lang.Enum<ObjectState>
  - - javax.jdo.ObjectState

- All Implemented Interfaces:
    Serializable, Comparable<ObjectState>

      public enum ObjectState
      extends Enum<ObjectState>

  This class defines the object states for JDO instances.
  Version:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DETACHED_CLEAN`
    `DETACHED_DIRTY`
    `HOLLOW_PERSISTENT_NONTRANSACTIONAL`
    `PERSISTENT_CLEAN`
    `PERSISTENT_DELETED`
    `PERSISTENT_DIRTY`
    `PERSISTENT_NEW`
    `PERSISTENT_NEW_DELETED`
    `PERSISTENT_NONTRANSACTIONAL_DIRTY`
    `TRANSIENT`
    `TRANSIENT_CLEAN`
    `TRANSIENT_DIRTY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ObjectState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ObjectState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSIENT

          public static final ObjectState TRANSIENT

    - #### TRANSIENT_CLEAN

          public static final ObjectState TRANSIENT_CLEAN

    - #### TRANSIENT_DIRTY

          public static final ObjectState TRANSIENT_DIRTY

    - #### PERSISTENT_NEW

          public static final ObjectState PERSISTENT_NEW

    - #### HOLLOW_PERSISTENT_NONTRANSACTIONAL

          public static final ObjectState HOLLOW_PERSISTENT_NONTRANSACTIONAL

    - #### PERSISTENT_NONTRANSACTIONAL_DIRTY

          public static final ObjectState PERSISTENT_NONTRANSACTIONAL_DIRTY

    - #### PERSISTENT_CLEAN

          public static final ObjectState PERSISTENT_CLEAN

    - #### PERSISTENT_DIRTY

          public static final ObjectState PERSISTENT_DIRTY

    - #### PERSISTENT_DELETED

          public static final ObjectState PERSISTENT_DELETED

    - #### PERSISTENT_NEW_DELETED

          public static final ObjectState PERSISTENT_NEW_DELETED

    - #### DETACHED_CLEAN

          public static final ObjectState DETACHED_CLEAN

    - #### DETACHED_DIRTY

          public static final ObjectState DETACHED_DIRTY

  - ### Method Detail

    - #### values

          public static ObjectState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectState c : ObjectState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ObjectState>`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.